Project

General

Profile

Scénario #29493

Updated by Joël Cuissinat about 1 year ago

Suite de #29477 qui concernait uniquement des problèmes de dépendances de paquets.

Il faudrait également regarder les évolutions de la commande *samba-tool gpo*

h3. Solutions à mettre en œuvre

* re-passer "activer_gpo_script" à "oui" dans les configurations "aca" (non désactivé dans les configurations etb1) 2.8.0
* migrer @python-gpo-utils@ en python3
* se poser la question de la pertinence des fonctions proposées par rapport à celles de Samba

h3. Critères d'acceptation

* le script @/usr/share/eole/postservice/07-eolead-gpo instance@ n'affiche pas d'erreur (cf. "test Scribe 2.8.0":https://dev-eole.ac-dijon.fr/jenkins/job/2.8.0/job/test-instance-acascribe-2.8.0-amd64/)
* les GPO EOLE s'appliquent sur ScribeAD 2.8.0 : les test Squash "ETB1-PEDAGO-WINDOWS-INTEGRATION-MANUAL" sont passants
* les GPO EOLE s'appliquent sur Seth 2.8.0 : les "scripts":http://eole.ac-dijon.fr/documentations/2.7/completes/HTML/ModuleSeth/co/GPOEole.html sont fonctionnels après installation du paquet @eole-gpo-script@ et reconfigure

Back